Bug 800252 - publican should support a directory path for brand packages
publican should support a directory path for brand packages
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.8
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks: 820023
  Show dependency treegraph
 
Reported: 2012-03-06 02:06 EST by Peter Hutterer
Modified: 2012-10-30 23:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2012-03-06 02:06:57 EST
Description of problem:
publican requires the brand package to be installed system-wide. For single-project documentation generated through publican this isn't necessary, a simple commandline flag to specify the brand directory during the documentation build process would make integration easier.
Comment 1 Jeff Fearn 2012-03-13 22:32:45 EDT
Added brand_dir option and publican XSL name space.

Need to add docs to the PUG explaining that when using brand_dir for a brand with XSL overrides that the include path for Publican XSL files needs to be changed from a relative path to a URI.


e.g.

<xsl:import href="../../../xsl/html.xsl"/>

becomes

<xsl:import href="https://fedorahosted.org/released/publican/xsl/docbook4/html.xsl"/>

Also need to document how to add the publican name space to the local catalog. publican.spec in the publican repo has been modified to update the catalog in %post and %postun.

Brands not supplying XSL files do not need to worry about the XSL path.

Pushed To ssh://git.fedorahosted.org/git/publican.git
   28f73d8..4700cf5  master -> master
Comment 2 Michael Hideo 2012-06-07 21:55:51 EDT
build publican website, build a book that uses the new brand directory option, build the book, install the book, verify that the brand specific content goes into the directory we have specified.
Comment 3 Zac Dover 2012-06-15 22:49:27 EDT
Build publican website - build
build a book that uses the brand directory option - built
install the book - installed
verify that the brand-specific content goes into the directory we have specified - verified

Note You need to log in before you can comment on or make changes to this bug.